Retrieve a single transaction by ID from your Blnk Core instance.
curl -X GET "https://api.cloud.blnkfinance.com/data/transactions/txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"transaction_id": "txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c",
"amount": 100.50,
"currency": "USD",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"status": "APPLIED",
"created_at": "2024-11-26T08:40:00.000000000Z",
"precision": 100,
"precise_amount": 10050,
"reference": "ref_myApp-integration-test-001",
"description": "Integration test: transfer from Balance A to Balance B",
"meta_data": {
"myApp": {
"channel": "web",
"approval_status": "approved"
}
}
}
Retrieve details for a specific transaction by its ID.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.cloud.blnkfinance.com/data/transactions/txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
Bearer <access_token>. Your OAuth key must include data:read scope (or *).{
"transaction_id": "txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c",
"amount": 100.50,
"currency": "USD",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"status": "APPLIED",
"created_at": "2024-11-26T08:40:00.000000000Z",
"precision": 100,
"precise_amount": 10050,
"reference": "ref_myApp-integration-test-001",
"description": "Integration test: transfer from Balance A to Balance B",
"meta_data": {
"myApp": {
"channel": "web",
"approval_status": "approved"
}
}
}
QUEUED, APPLIED, FAILED).curl -X GET "https://api.cloud.blnkfinance.com/data/transactions/txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"transaction_id": "txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c",
"amount": 100.50,
"currency": "USD",
"source": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"destination": "bln_ANOTHER_BALANCE_ID",
"status": "APPLIED",
"created_at": "2024-11-26T08:40:00.000000000Z",
"precision": 100,
"precise_amount": 10050,
"reference": "ref_myApp-integration-test-001",
"description": "Integration test: transfer from Balance A to Balance B",
"meta_data": {
"myApp": {
"channel": "web",
"approval_status": "approved"
}
}
}